/**
 * Copyright (c) HashiCorp, Inc.
 * SPDX-License-Identifier: MPL-2.0
 */
import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDatadogIpRangesConfig extends cdktf.TerraformMetaArguments {
}
/**
* Represents a {@link https://registry.terraform.io/providers/datadog/datadog/3.25.0/docs/data-sources/ip_ranges datadog_ip_ranges}
*/
export declare class DataDatadogIpRanges extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "datadog_ip_ranges";
    /**
    * Create a new {@link https://registry.terraform.io/providers/datadog/datadog/3.25.0/docs/data-sources/ip_ranges datadog_ip_ranges} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDatadogIpRangesConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataDatadogIpRangesConfig);
    get agentsIpv4(): string[];
    get agentsIpv6(): string[];
    get apiIpv4(): string[];
    get apiIpv6(): string[];
    get apmIpv4(): string[];
    get apmIpv6(): string[];
    get id(): string;
    get logsIpv4(): string[];
    get logsIpv6(): string[];
    get orchestratorIpv4(): string[];
    get orchestratorIpv6(): string[];
    get processIpv4(): string[];
    get processIpv6(): string[];
    get syntheticsIpv4(): string[];
    private _syntheticsIpv4ByLocation;
    get syntheticsIpv4ByLocation(): cdktf.StringMap;
    get syntheticsIpv6(): string[];
    private _syntheticsIpv6ByLocation;
    get syntheticsIpv6ByLocation(): cdktf.StringMap;
    get webhooksIpv4(): string[];
    get webhooksIpv6(): string[];
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
